Foros del Web » Programando para Internet » PHP »

portabilidad php

Estas en el tema de portabilidad php en el foro de PHP en Foros del Web. undefined Estoy relizando 1 aplicación php utilizando php4.3,, en otro equipo tengo otra versión inferior (de php) y al ejecutar las páginas me da problemas ...
  #1 (permalink)  
Antiguo 14/10/2004, 05:13
Avatar de yesik  
Fecha de Ingreso: octubre-2004
Ubicación: Orense
Mensajes: 292
Antigüedad: 13 años, 2 meses
Puntos: 1
portabilidad php

undefinedEstoy relizando 1 aplicación php utilizando php4.3,, en otro equipo tengo otra versión inferior (de php) y al ejecutar las páginas me da problemas con las variable de sesión que utilizo,, que hago? instalando php4.3 se soluccionará el problema, de ser asi basta con copiar la carpeta php para instalarlo?
  #2 (permalink)  
Antiguo 14/10/2004, 07:39
O_O
 
Fecha de Ingreso: enero-2002
Ubicación: Santiago - Chile
Mensajes: 34.417
Antigüedad: 15 años, 11 meses
Puntos: 126
No sé que tan "inferior" es esa versión de PHP que usas en el otro servidor .. pero si usas PHP 4.1.0 en adelante y en cuanto a sesiones usas los arrays superglobales: $_SESSION .. no tendrás ningún problema desde PHP 4.1.0 en adelante (incluso hasta PHP 5.x).

También influye mucho la configuración de ambos servidores .. no se trata sólo de ese "detalle" (de los arrays superglobales) sino de configuración .. sobre todo con respecto a la propagación del SID (Identificador Único de sesión).

Un saludo,
Atención: Estás leyendo un tema que no tiene actividad desde hace más de 6 MESES, te recomendamos abrir un Nuevo tema en lugar de responder al actual.
Respuesta




La zona horaria es GMT -6. Ahora son las 04:38.